前段时间,想尝试下 PHP 的多线程扩展 pthreads ,由于其要求 PHP 启用 ZTS (Zend Thread Safety),
但是笔者所使用的发行版所能安装的 PHP 包都是 non-zts 的,所以只能自行编译和安装 PHP 了。